package xyz.wbsite.module.conf.req;

import xyz.wbsite.frame.base.BaseRequest;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.NotBlank;
import org.hibernate.validator.constraints.Length;

/**
 * MappingCreateRequest - 映射新增
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2020-03-18
 */
public class MappingCreateRequest extends BaseRequest {

    /**
     * 名称
     */
    @NotBlank(message = "[name]名称不能为空")
    @Length(min = 0, max = 50, message = "[name]名称长度不合法(0-50)")
    private String name;

    /**
     * 端口
     */
    @NotBlank(message = "[port]端口不能为空")
    @Length(min = 0, max = 50, message = "[port]端口长度不合法(0-50)")
    private String port;

    /**
     * 路径
     */
    @NotBlank(message = "[path]路径不能为空")
    @Length(min = 0, max = 50, message = "[path]路径长度不合法(0-50)")
    private String path;

    /**
     * 类型
     */
    @NotBlank(message = "[type]类型不能为空")
    @Length(min = 0, max = 50, message = "[type]类型长度不合法(0-50)")
    private String type;

    /**
     * 代理地址
     */
    @NotBlank(message = "[location]代理地址不能为空")
    @Length(min = 0, max = 50, message = "[location]代理地址长度不合法(0-50)")
    private String location;

    /**
     * 备注
     */
    @Length(min = 0, max = 50, message = "[note]备注长度不合法(0-50)")
    private String note;

    public String getName() {
        return this.name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPort() {
        return this.port;
    }

    public void setPort(String port) {
        this.port = port;
    }

    public String getPath() {
        return this.path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public String getType() {
        return this.type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getLocation() {
        return this.location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getNote() {
        return this.note;
    }

    public void setNote(String note) {
        this.note = note;
    }
}
